#coding=utf-8
import json

from Facade import Facade
import re
from manager.MongoSourceManager import MongoSourceManager


def elastic(server,port,query,index):
    facade = Facade()
    return facade.solve(server,port,"",index,query,"","elastic","")
def mongo(server,port,dbMongo,coll,query,keys,aggs):
    facade=Facade()
    return facade.solve(server,port,dbMongo,coll,query,keys,"mongo",aggs)

if __name__ == '__main__':
    query="{}"
    #query="{'_source':['teams','player'],'query':{'match_all':{}}}"
    #query="[{'$match':{'likes':10}}]"
    #query="[{'$group' : {'_id' : '$by_user', 'num_tutorial' : {'$max' : '$likes'}}},{'$sort':{'num_tutorial':1}}]"
    # query="{'query': {'bool': {'must': [{'match': {'gender': 'Math.min(params.num_terms, doc[\\'required_matches\\'].value)'}},{'multi_match': {'query': '(brown) OR (blond)','fields': ['hair_color']}},{'multi_match': {'query': 'brown OR blue','fields': ['eye_color']}}]}}}"
    #query="{'_source':'title','aggs': {'numRv': {'extended_stats': {'field': 'num_reviews'}}}}"
    #query="{'_source':'title','aggs': {'numRv': {'min': {'field': 'num_reviews'}}}}"
    #query="{'_source':'num_reviews','aggs' : {'genres' : {'terms' : {'field' : 'num_reviews','order' : { '_count' : 'asc' }}}}}"
    #query="{'aggs': {'avg_fees': {'avg': {'field': 'num_reviews'}}}}"
    #query="{'_source':['people.nome','people.cognome','people.eta'],'query':{'match_all':{}}}"
    #Mi prendo il numero di chiavi
    #Ci costruiamo la query in modo che sia accettabile per elasticsearch
    host="localhost"
    index = "testelasticnested"
    keys=""
    #index="schools"
    #index="testpeople"
    print(elastic(host,9200,query,index))
    #print(mongo(host,27017,"admin",index,query,keys,"yes"))
