from elasticsearch import Elasticsearch


class ElasticSearchSourceManager():

    def __init__(self, server, port):
        self.__connection = None

        try:
            self.__connection = Elasticsearch([{'host': server, 'port': port}])

        except Exception as e:
            print(e)

    def executeStatement(self, ind, query):
        #esecuzione della query sull'indice ind
        res=self.__connection.search(index=ind,body=query)
        #chiusura della connessione
        self.__connection.transport.close()
        return res