from pymongo import MongoClient

class MongoSourceManager():

    def __init__(self,server,port,database):
        self.__client = None
        self.db=None

        try:
            self.__client = MongoClient(server,port)
            self.db=self.__client[database]
        except Exception as e:
            print(e)

    def executeStatement(self,coll,query,keys,aggsMongo):
        collection=self.db[coll]
        if(keys=="" and aggsMongo=="no"):
            res=collection.find(query)
        elif(keys!="" and aggsMongo=="no"):
            res = collection.find(query,keys)
        elif(aggsMongo=="yes"):
            res=collection.aggregate(query)
        return res